# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="7"
ETYPE="sources"
K_WANT_GENPATCHES="base extras experimental"
K_GENPATCHES_VER="6"

inherit kernel-2
detect_version
detect_arch

KEYWORDS="~arm64"
HOMEPAGE="https://dev.gentoo.org/~mpagano/genpatches"
IUSE="experimental"

DESCRIPTION="Full sources including the Gentoo patchset for the ${KV_MAJOR}.${KV_MINOR} kernel tree."
SRC_URI="${KERNEL_URI} ${GENPATCHES_URI} ${ARCH_URI}"

DECADE_PATCHES=(
	"${FILESDIR}/add-board-nanopi-m4v2.patch"
	"${FILESDIR}/add-csgpio-to-rockchip-spi.patch"
	"${FILESDIR}/add-fusb30x-driver.patch"
	"${FILESDIR}/add-maker-friendlyarm.patch"
	"${FILESDIR}/add-rk3328-usb3-phy-driver.patch"
	"${FILESDIR}/board-nanopi-m4v2-dts-add-sound-card.patch"
	"${FILESDIR}/board-nanopi-m4v2-dts-ethernet-tweak.patch"
	"${FILESDIR}/board-nanopi-m4v2-dts-fix-stability-issues.patch"
	"${FILESDIR}/board-roc-rk3399-pc-fix-fusb302-compatible.patch"
	"${FILESDIR}/board-rockpis-0004-ethernet-stmmac-dwmac-rk-Add-MAC-driver-support-for-.patch"
	"${FILESDIR}/board-rockpis-0008-thermal-rockchip-add-tsadc-support-for-rk3308.patch"
	"${FILESDIR}/board-rockpis-0016-ASoC-rockchip-add-support-for-rockchip-i2s-tdm-contr.patch"
	"${FILESDIR}/board-rockpis-0017-WIP-Sync-rockchip_i2s_tdm-to-BSP-tree.patch"
	"${FILESDIR}/board-rockpis-0018-ASoC-codecs-Add-RK3308-internal-codec-driver.patch"
	"${FILESDIR}/board-rockpis-0019-Sync-rk3308_codec-to-BSP-tree.patch"
	"${FILESDIR}/board-rockpis-0022-ASoC-rk3308_codec-replace-codec-to-component.patch"
	"${FILESDIR}/general-emmc-hs400es-init-tweak.patch"
	"${FILESDIR}/general-fix-es8316-kernel-panic.patch"
	"${FILESDIR}/general-increasing_DMA_block_memory_allocation_to_2048.patch"
	"${FILESDIR}/general-rt5651-add-mclk.patch"
	"${FILESDIR}/rk3399-add-sclk-i2sout-src-clock.patch"
	"${FILESDIR}/rk3399-enable-dwc3-xhci-usb-trb-quirk.patch"
	"${FILESDIR}/rk3399-pci-rockchip-support-ep-gpio-undefined-case.patch"
	"${FILESDIR}/rk3399-sd-drive-level-8ma.patch"
)

src_prepare() {
	for P in ${DECADE_PATCHES[@]}; do
		eapply "${P}"
	done
	
	kernel-2_src_prepare
}

